@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');

html, body {
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
}

ol {
    margin-bottom: 0;
}

h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.content {
    padding-top: 1.1rem;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }


.leg-plan {
    height: 480px;
    left: 250px;
    width: 500px;
    position: relative;
    float: left;
    transform: scale(0.95, 0.95);
    top: 20px;
}

/* Sensors building plan page */

.img-plan-center {
    width: 195px;
    position: absolute;
    left: 25px;
    top: 144px;
    transform: rotate(2deg);
}

.img-plan-rotunda {
    width: 300px;
    position: absolute;
    left: 10px;
    top: 50px;
    transform: rotate(2deg);
}

.img-plan-west-annex {
    width: 90px;
    position: absolute;
    left: -65px;
    top: 0px;
}

.img-plan-east-annex {
    width: 90px;
    position: absolute;
    left: 310px;
    top: 110px;
}

.img-plan-west-wing {
    width: 150px;
    position: absolute;
    left: -59px;
    top: 129px;
}

.img-plan-east-wing {
    width: 150px;
    position: absolute;
    left: 152px;
    top: 197px;
}

.img-plan-library {
    width: 120px;
    position: absolute;
    left: 35px;
    top: 261px;
}

.img-plan-armouries {
    width: 215px;
    position: absolute;
    left: -250px;
    top: 275px;
}

.img-plan-bunker {
    width: 120px;
    position: absolute;
    left: 270px;
    top: 305px;
    transform: rotate(4deg);
}

.priority-center {
    position: absolute;
    left: 125px;
    top: 200px;
    transform: rotate(2deg);
}

.priority-rotunda {
    position: absolute;
    left: 150px;
    top: 110px;
    transform: rotate(2deg);
}

.priority-west-annex {
    position: absolute;
    left: -30px;
    top: 35px;
}

.priority-east-annex {
    position: absolute;
    left: 345px;
    top: 145px;
}

.priority-west-wing {
    position: absolute;
    left: 10px;
    top: 190px;
}

.priority-east-wing {
    position: absolute;
    left: 215px;
    top: 260px;
}

.priority-library {
    position: absolute;
    left: 85px;
    top: 315px;
}

.priority-armouries {
    position: absolute;
    left: -150px;
    top: 340px;
}

.priority-bunker {
    position: absolute;
    left: 320px;
    top: 355px;
    transform: rotate(4deg);
}

.div-priority {
    width: 20px;
    height: 20px;
    line-height: 20px;
    border-radius: 10px;
    background-color: white;
    padding-left: 5px;
}

.ppr-title {
    width: 100%;
    font-size: 30px;
    text-align: center;
    margin-bottom: -30px;
}

.range-shaking {
    width: 100%;
}

.amp-select {
    width: 55px;
}

.pps-table {
    margin-top: 15px;
}

.logo-div {
    float: left;
    margin: 11px 0;
}

.app-logo {
    width: 160px;
    margin-top: -15px;
}

.app-title {
    color: white;
    font-weight: bold;
    font-size: 1.7em;
}

.title-div {
    float: left;
    margin-top: 10px;
    text-align: center;
    width: 600px;
}

.sri-name {
    color: white;
    font-size: 24px;
    margin-left: 55px;
}

.header {
    background-color: #021688;
}

.sri-header {
    width: 1000px;
    margin: auto;
}

.dropdown-label {
    padding-top: 8px;
}

.colour-def-table {
    margin: 15px auto;
    width: 550px;
}

.login-body {
    background-image: url('images/background.png');
    text-align: center;
    background-repeat: no-repeat;
    background-size: cover;
    background-color: darkblue;
    height: 100%;
    min-height: 550px;
    padding: 10px;
    padding-bottom: 60px; /* Height of the footer */
}

.login-button {
    margin: 20px auto;
}

.login-form {
    width: 600px;
    margin: 50px auto;
    text-align: center;
}

.login-prompt {
    font-size: 18px;
}

.login-text {
    padding-top: 28px;
    margin-left: -5px;
}

.loginInput {
    border-radius: 23px;
    height: 46px;
    padding: 5px 25px;
    font-size: 14pt;
}

.form-group {
    margin: 10px auto;
}

.error {
    color: red;
}